### Method

# Gck Object cache_lookup

#### Declaration [src]

    GckAttributes*
    gck_object_cache_lookup (
      GckObject* object,
      const gulong* attr_types,
      gint n_attr_types,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lookup attributes in the cache, or retrieve them from the object if necessary.

If `object` is a `GckObjectCache` then this will lookup the attributes there first if available, otherwise will read them from the object and update the cache.

If `object` is not a `GckObjectCache`, then the attributes will simply be read from the object.

This may block, use the asynchronous version when this is not desirable.

#### Parameters

`attr_types` | An array of `gulong`
| The types of attributes to update.
| The length of the array is specified in the `n_attr_types` argument.
| The data is owned by the caller of the function.
`n_attr_types` | `gint`
| The number of attribute types.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckAttributes`
| The attributes retrieved or `NULL` on failure.
| The caller of the method takes ownership of the data, and is responsible for freeing it.